CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

OpenFoam 2.0.1 --> 2.1.0

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   January 2, 2012, 02:47
Default OpenFoam 2.0.1 --> 2.1.0
  #1
Member
 
Soroush
Join Date: Mar 2010
Posts: 52
Rep Power: 8
SH_P is on a distinguished road
Hi,
I have openFoam 2.0.1 installed and I want to install version 2.1.0.
could you please explain the steps to uninstall the previous version (is it necessary or it can overwrite the existing version?).
Thanks,
SH_P is offline   Reply With Quote

Old   January 2, 2012, 06:29
Default
  #2
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,972
Rep Power: 41
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by SH_P View Post
Hi,
I have openFoam 2.0.1 installed and I want to install version 2.1.0.
could you please explain the steps to uninstall the previous version (is it necessary or it can overwrite the existing version?).
Thanks,
Depends on how you installed OF

If you installed it from the sources then you can have multiple versions in parallel.

With the binary packages I think (I don't use them) you can only have one version at a time, but the package manager should take care of uninstalling the old version
gschaider is offline   Reply With Quote

Old   January 2, 2012, 06:58
Default
  #3
Member
 
Soroush
Join Date: Mar 2010
Posts: 52
Rep Power: 8
SH_P is on a distinguished road
I installed it from the sources, how can I remove the older version after installing the new one. I have limited space available, so I have to do this!
Thanks
SH_P is offline   Reply With Quote

Old   January 2, 2012, 09:41
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,748
Blog Entries: 39
Rep Power: 103
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Greetings to all!

@Soroush: OK, assuming you have installed OpenFOAM in the usual folder at the home folder, it should be as easy as:
  1. Removing the folders "OpenFOAM-2.0.1" and "ThirdParty-2.0.1" from the folder "$HOME/OpenFOAM". To remove it directly on the command line, check first that you have these folders at "$HOME/OpenFOAM":
    Code:
    ls -l $HOME/OpenFOAM
    If they are present there, then:
    Code:
    cd $HOME/OpenFOAM
    rm -rf OpenFOAM-2.0.1 ThirdParty-2.0.1
  2. Remove the respective line in the file "$HOME/.bashrc". Edit it with your favourite text editor and remove the line that has a reference to "OpenFOAM-2.0.1".
  3. And that should be it! All done!
You can check the space available before and after by running:
Code:
df -h
Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   January 2, 2012, 15:22
Default
  #5
Member
 
Soroush
Join Date: Mar 2010
Posts: 52
Rep Power: 8
SH_P is on a distinguished road
Thanks Bruno...!
SH_P is offline   Reply With Quote

Old   January 4, 2012, 08:56
Default
  #6
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 1,164
Rep Power: 20
akidess will become famous soon enough
Can 2.1.x run on ThirdParty-2.0.x? Can anybody report if there are major changes in the third party packages?
__________________
*On twitter @akidTwit
*Spend as much time formulating your questions as you expect people to spend on their answer.
*Join the OpenFOAM stackexchange Q&A site: http://area51.stackexchange.com/prop...oHPxcPqde7HtA2
akidess is offline   Reply With Quote

Old   January 4, 2012, 10:07
Default
  #7
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,972
Rep Power: 41
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by akidess View Post
Can 2.1.x run on ThirdParty-2.0.x? Can anybody report if there are major changes in the third party packages?
Just do a symbolic link and adapt the version numbers of the packages in the settings file. That worked for me
gschaider is offline   Reply With Quote

Old   January 4, 2012, 17:19
Default
  #8
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 9,748
Blog Entries: 39
Rep Power: 103
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Hi Anton and Bernhard,

To complement Bernhard's response, basically the changes were:
  • ParaView got upped from 3.10.1 to 3.12.0.
  • Some scripts got modified/fixed/updated, namely makeCGAL and makeParaView related.
  • There is a new makeGcc46 script.
  • And "Make/*" files for "libccmio" got removed... basically due a bug report by yours truly...
Scotch is still the same version.

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   January 5, 2012, 03:43
Default
  #9
Senior Member
 
akidess's Avatar
 
Anton Kidess
Join Date: May 2009
Location: Delft, Netherlands
Posts: 1,164
Rep Power: 20
akidess will become famous soon enough
Thanks to both of you!
__________________
*On twitter @akidTwit
*Spend as much time formulating your questions as you expect people to spend on their answer.
*Join the OpenFOAM stackexchange Q&A site: http://area51.stackexchange.com/prop...oHPxcPqde7HtA2
akidess is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
mesh conversion Salome --> OpenFoam vaina74 Open Source Meshers: Gmsh, Netgen, CGNS, ... 38 October 23, 2014 08:42
New OpenFOAM Forum Structure jola OpenFOAM 2 October 19, 2011 06:55
OpenFoam 2.0.1 installation shailesh.nitk OpenFOAM Installation 4 October 4, 2011 08:50
Cross-compiling OpenFOAM 1.7.0 on Linux for Windows 32 and 64bits with Mingw-w64 wyldckat OpenFOAM Announcements from Other Sources 3 September 8, 2010 06:25
CAD -> gMsh -> enGrid -> OpenFOAM Problem AlGates OpenFOAM 7 August 6, 2010 12:46


All times are GMT -4. The time now is 12:53.